Bug 1606665 - weasyprint: FTBFS in Fedora rawhide
Summary: weasyprint: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: weasyprint
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS 1585626
TreeView+ depends on / blocked
 
Reported: 2018-07-20 21:06 UTC by Mohan Boddu
Modified: 2019-04-30 17:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-30 17:01:46 UTC


Attachments (Terms of Use)
build.log (4.03 KB, text/plain)
2018-07-20 21:06 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-20 21:06 UTC, Mohan Boddu
no flags Details
state.log (631 bytes, text/plain)
2018-07-20 21:06 UTC, Mohan Boddu
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1631306 None CLOSED weasyprint: Remove (sub)packages from Fedora 30+: python2-weasyprint 2019-04-30 08:30:16 UTC

Internal Links: 1631306

Description Mohan Boddu 2018-07-20 21:06:27 UTC
weasyprint failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28239329


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix weasyprint at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
weasyprint will be orphaned. Before branching of Fedora 30,
weasyprint will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 21:06:35 UTC
Created attachment 1468922 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 21:06:38 UTC
Created attachment 1468923 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 21:06:42 UTC
Created attachment 1468924 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 08:48:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Miro Hrončok 2018-10-09 18:20:10 UTC
Builds on rawhide.


Note You need to log in before you can comment on or make changes to this bug.